els := Union([1,2,3,4,5,6,7],[[1,2,3],[1,4,5],[1,6,7],[2,4,6],[3,4,7],[2,5,7],[3,5,6]]);
typeset := ["integer","set"];

type := function(x)
if IsList(x) then
return "set";
else
return "integer";
fi;
end;

incidence := function(x,y)
if IsList(x) then 
return y in x;
elif IsList(y) then
return x in y;
else
return false;
fi;
end;

S := IncidenceStructure(els,incidence,type,typeset);

graph := IncidenceGraph(S);
group := AutomorphismGroup(graph);
StructureDescription(group);

#show underlying objects.
ElementsOfIncidenceStructure(S,1);

Diameter(graph);
Girth(graph);

blocks := [[1,2,3],[1,4,5],[1,6,7],[2,4,6],[3,4,7],[2,5,7],[3,5,6]];
plane := GeneralisedPolygonByBlocks(blocks);
group := CollineationGroup(plane);
StructureDescription(group);

group2 := CollineationGroup(PG(2,2));
StructureDescription(group2);
